com.qualcomm.ftccommon

## Class UpdateUI

- java.lang.Object
- - com.qualcomm.ftccommon.UpdateUI

-     public class UpdateUI
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `UpdateUI.Callback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEBUG`
    `protected NetworkStatus` | `networkStatus`
    `protected java.lang.String` | `networkStatusExtra`
    `protected java.lang.String` | `networkStatusMessage`
    `protected PeerStatus` | `peerStatus`
    `protected RobotState` | `robotState`
    `protected RobotStatus` | `robotStatus`
    `protected java.lang.String` | `stateStatusMessage`
    `protected TextView` | `textDeviceName`
    `protected TextView` | `textErrorMessage`
    `protected int` | `textErrorMessageOriginalColor`
    `protected TextView[]` | `textGamepad`
    `protected TextView` | `textNetworkConnectionStatus`
    `protected TextView` | `textOpMode`
    `protected TextView` | `textRobotStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateUI(Activity activity, Dimmer dimmer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setControllerService(FtcRobotControllerService controllerService)`
    `void` | `setRestarter(Restarter restarter)`
    `protected void` | `setText(TextView textView, java.lang.String message)`
    `void` | `setTextViews(TextView textWifiDirectStatus, TextView textRobotStatus, TextView[] textGamepad, TextView textOpMode, TextView textErrorMessage, TextView textDeviceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public static final boolean DEBUG

      See Also:
        Constant Field Values

    - #### textDeviceName

          protected TextView textDeviceName

    - #### textNetworkConnectionStatus

          protected TextView textNetworkConnectionStatus

    - #### textRobotStatus

          protected TextView textRobotStatus

    - #### textGamepad

          protected TextView[] textGamepad

    - #### textOpMode

          protected TextView textOpMode

    - #### textErrorMessage

          protected TextView textErrorMessage

    - #### textErrorMessageOriginalColor

          protected int textErrorMessageOriginalColor

    - #### robotState

          protected RobotState robotState

    - #### robotStatus

          protected RobotStatus robotStatus

    - #### networkStatus

          protected NetworkStatus networkStatus

    - #### networkStatusExtra

          protected java.lang.String networkStatusExtra

    - #### peerStatus

          protected PeerStatus peerStatus

    - #### networkStatusMessage

          protected java.lang.String networkStatusMessage

    - #### stateStatusMessage

          protected java.lang.String stateStatusMessage

  - ### Constructor Detail

    - #### UpdateUI

          public UpdateUI(Activity activity,
                          Dimmer dimmer)

  - ### Method Detail

    - #### setTextViews

          public void setTextViews(TextView textWifiDirectStatus,
                                   TextView textRobotStatus,
                                   TextView[] textGamepad,
                                   TextView textOpMode,
                                   TextView textErrorMessage,
                                   TextView textDeviceName)

    - #### setText

          protected void setText(TextView textView,
                                 java.lang.String message)

    - #### setControllerService

          public void setControllerService(FtcRobotControllerService controllerService)

    - #### setRestarter

          public void setRestarter(Restarter restarter)